# Generated by Django 4.2.4 on 2023-08-23 11:23

import datetime
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("authentification", "0002_authentification_users_email_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="AuthenticationUsers",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("username", models.TextField()),
                ("first_name", models.TextField()),
                ("last_name", models.TextField()),
                ("email", models.TextField(blank=True, null=True)),
                ("count_operation", models.IntegerField(default=0)),
            ],
            options={"db_table": "authentication_users",},
        ),
        migrations.CreateModel(
            name="Plan",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("plan_name", models.TextField(max_length=15)),
                ("max_operation", models.IntegerField()),
            ],
            options={"db_table": "plans",},
        ),
        migrations.CreateModel(
            name="UserOperation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("date_operation", models.DateTimeField(default=datetime.datetime.now)),
                ("count_words", models.IntegerField(default=0)),
                ("source_lang", models.TextField(max_length=20)),
                ("target_lang", models.TextField(max_length=10)),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="authentification.authenticationusers",
                    ),
                ),
            ],
            options={"db_table": "user_operations",},
        ),
        migrations.DeleteModel(name="authentification_users",),
        migrations.AddField(
            model_name="authenticationusers",
            name="plan",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.DO_NOTHING,
                to="authentification.plan",
            ),
        ),
    ]
